import { Packet } from '../Packet';
export declare class CooldownPacket extends Packet<Cooldown> {
    static id: number;
    write(data?: Cooldown): void;
    read(): Cooldown;
}
/**
 * Cooldown packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketCooldown.java
 */
interface Cooldown {
    /** Unique ID to put to the cooldown (used to remove the cooldown later if nessecary) */
    id: string;
    /** Time, in milliseconds, the cooldown should stay */
    durationMs: number;
    /**
     * The block/item displayed in the HUD
     * @see https://minecraft-ids.grahamedgecombe.com/
     */
    iconId: number;
}
export {};
