"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GhostPacket = void 0;
const deprecatePacket_1 = require("../../util/deprecatePacket");
const Packet_1 = require("../Packet");
class _GhostPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeVarInt(this.data.addGhostList.length);
        for (const ghost of this.data.addGhostList)
            this.buf.writeUUID(ghost);
        this.buf.writeVarInt(this.data.removeGhostList.length);
        for (const ghost of this.data.removeGhostList)
            this.buf.writeUUID(ghost);
        this.buf.finish();
    }
    read() {
        const addGhostListLength = this.buf.readVarInt();
        const addGhostList = [];
        for (let i = 0; i < addGhostListLength; i++)
            addGhostList.push(this.buf.readUUID());
        const removeGhostListLength = this.buf.readVarInt();
        const removeGhostList = [];
        for (let i = 0; i < removeGhostListLength; i++)
            removeGhostList.push(this.buf.readUUID());
        this.data = { addGhostList, removeGhostList };
        return this.data;
    }
}
_GhostPacket.id = 25;
/** @deprecated Packet not handled by the official Lunar Client */
exports.GhostPacket = (0, deprecatePacket_1.default)(_GhostPacket);
