"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HologramPacket = void 0;
const Packet_1 = require("../Packet");
class HologramPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(this.data.uuid);
        this.buf.writeDouble(this.data.x);
        this.buf.writeDouble(this.data.y);
        this.buf.writeDouble(this.data.z);
        this.buf.writeVarInt(this.data.lines.length);
        for (const line of this.data.lines)
            this.buf.writeString(line);
        this.buf.finish();
    }
    read() {
        const uuid = this.buf.readUUID();
        const x = this.buf.readDouble();
        const y = this.buf.readDouble();
        const z = this.buf.readDouble();
        const linesLength = this.buf.readVarInt();
        const lines = [];
        for (let i = 0; i < linesLength; i++)
            lines.push(this.buf.readString());
        this.data = {
            uuid,
            x,
            y,
            z,
            lines,
        };
        return this.data;
    }
}
exports.HologramPacket = HologramPacket;
HologramPacket.id = 4;
