import { Packet } from '../Packet';
export declare class HologramUpdatePacket extends Packet<HologramUpdate> {
    static id: number;
    write(data?: HologramUpdate): void;
    read(): HologramUpdate;
}
/**
 * Hologram update packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketHologram.java
 */
interface HologramUpdate {
    /** UUID of the hologram */
    uuid: string;
    /** Lines displayed in the hologram */
    lines: string[];
}
export {};
