"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NametagsOverridePacket = void 0;
const Packet_1 = require("../Packet");
class NametagsOverridePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeUUID(this.data.player);
        const isNotNull = this.data.tags !== null;
        this.buf.writeBoolean(isNotNull);
        if (!isNotNull) {
            this.buf.writeVarInt(this.data.tags.length);
            for (const tag of this.data.tags)
                this.buf.writeString(tag);
        }
        this.buf.finish();
    }
    read() {
        const player = this.buf.readUUID();
        const isNotNull = this.buf.readBoolean();
        const tags = isNotNull ? [] : null;
        if (isNotNull) {
            const tagsLength = this.buf.readVarInt();
            for (let i = 0; i < tagsLength; i++)
                tags.push(this.buf.readString());
        }
        this.data = {
            player,
            tags,
        };
        return this.data;
    }
}
exports.NametagsOverridePacket = NametagsOverridePacket;
NametagsOverridePacket.id = 7;
