"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationPacket = void 0;
const deprecatePacket_1 = require("../../util/deprecatePacket");
const Packet_1 = require("../Packet");
class _NotificationPacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.message);
        this.buf.writeLong(this.data.durationMs);
        this.buf.writeString(this.data.level);
        this.buf.finish();
    }
    read() {
        this.data = {
            message: this.buf.readString(),
            durationMs: this.buf.readLong(),
            level: this.buf.readString(),
        };
        return this.data;
    }
}
_NotificationPacket.id = 9;
/** @deprecated Packet not handled by the official Lunar Client */
exports.NotificationPacket = (0, deprecatePacket_1.default)(_NotificationPacket);
