"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerRulePacket = void 0;
const Packet_1 = require("../Packet");
class ServerRulePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.rule);
        this.buf.writeBoolean(this.data.booleanValue);
        this.buf.writeInt(this.data.intValue);
        this.buf.writeFloat(this.data.floatValue);
        this.buf.writeString(this.data.stringValue);
        this.buf.finish();
    }
    read() {
        this.data = {
            rule: this.buf.readString(),
            booleanValue: this.buf.readBoolean(),
            intValue: this.buf.readInt(),
            floatValue: this.buf.readFloat(),
            stringValue: this.buf.readString(),
        };
        return this.data;
    }
}
exports.ServerRulePacket = ServerRulePacket;
ServerRulePacket.id = 10;
