import { StaffMod } from '../../constants';
import { Packet } from '../Packet';
export declare class StaffModStatePacket extends Packet<StaffModState> {
    static id: number;
    write(data?: StaffModState): void;
    read(): StaffModState;
}
/**
 * Staff mod state packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketStaffModState.java
 */
interface StaffModState {
    /** Name of the staff mod */
    mod: StaffMod;
    /** State to set */
    state: boolean;
}
export {};
