import { Packet } from '../Packet';
export declare class WorldBorderCreateNewPacket extends Packet<WorldBorderCreateNew> {
    static id: number;
    write(data?: WorldBorderCreateNew): void;
    read(): WorldBorderCreateNew;
}
/**
 * World border create new packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketWorldBorderCreateNew.java
 */
interface WorldBorderCreateNew {
    id: string;
    world: string;
    cancelsEntry: boolean;
    cancelsExit: boolean;
    canShrinkExpand: boolean;
    color: number;
    minX: number;
    minZ: number;
    maxX: number;
    maxZ: number;
}
export {};
