import { Packet } from '../Packet';
export declare class WorldBorderPacket extends Packet<WorldBorder> {
    static id: number;
    write(data?: WorldBorder): void;
    read(): WorldBorder;
}
/**
 * World border packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketWorldBorder.java
 */
interface WorldBorder {
    id: string;
    world: string;
    cancelsExit: boolean;
    canShrinkExpand: boolean;
    color: number;
    minX: number;
    minZ: number;
    maxX: number;
    maxZ: number;
}
export {};
