import { Packet } from '../Packet';
export declare class WorldBorderUpdatePacket extends Packet<WorldBorderUpdate> {
    static id: number;
    write(data?: WorldBorderUpdate): void;
    read(): WorldBorderUpdate;
}
/**
 * World border remove packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/client/LCPacketWorldBorderUpdate.java
 */
interface WorldBorderUpdate {
    id: string;
    minX: number;
    minZ: number;
    maxX: number;
    maxZ: number;
    durationTicks: number;
}
export {};
