"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorldBorderUpdatePacket = void 0;
const Packet_1 = require("../Packet");
class WorldBorderUpdatePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeString(this.data.id);
        this.buf.writeDouble(this.data.minX);
        this.buf.writeDouble(this.data.minZ);
        this.buf.writeDouble(this.data.maxX);
        this.buf.writeDouble(this.data.maxZ);
        this.buf.writeInt(this.data.durationTicks);
        this.buf.finish();
    }
    read() {
        this.data = {
            id: this.buf.readString(),
            minX: this.buf.readDouble(),
            minZ: this.buf.readDouble(),
            maxX: this.buf.readDouble(),
            maxZ: this.buf.readDouble(),
            durationTicks: this.buf.readInt(),
        };
        return this.data;
    }
}
exports.WorldBorderUpdatePacket = WorldBorderUpdatePacket;
WorldBorderUpdatePacket.id = 22;
