import { Packet } from '../Packet';
export declare class VoiceChannelPacket extends Packet<VoiceChannel> {
    static id: number;
    write(data?: VoiceChannel): void;
    read(): VoiceChannel;
}
/**
 * Voice channel packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/server/LCPacketVoiceChannel.java
 */
interface VoiceChannel {
    /** UUID of the channel */
    uuid: string;
    /** Name of the channel */
    name: string;
    players: {
        [key: string]: string;
    };
    listening: {
        [key: string]: string;
    };
}
export {};
