import { VoiceChannelUpdateStatus } from '../../constants';
import { Packet } from '../Packet';
declare class _VoiceChannelUpdatePacket extends Packet<VoiceChannelUpdate> {
    static id: number;
    write(data?: VoiceChannelUpdate): void;
    read(): VoiceChannelUpdate;
}
/** @deprecated Packet not handled by the official Lunar Client */
export declare const VoiceChannelUpdatePacket: typeof _VoiceChannelUpdatePacket;
/**
 * Voice channel update packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/server/LCPacketVoiceChannelUpdate.java
 */
interface VoiceChannelUpdate {
    /** Status of the channel */
    status: VoiceChannelUpdateStatus;
    /** UUID of the channel */
    channelUuid: string;
    /** UUID of the player */
    uuid: string;
    /** Name of the player */
    name: string;
}
export {};
