"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceChannelUpdatePacket = void 0;
const deprecatePacket_1 = require("../../util/deprecatePacket");
const Packet_1 = require("../Packet");
class _VoiceChannelUpdatePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeInt(this.data.status);
        this.buf.writeUUID(this.data.channelUuid);
        this.buf.writeUUID(this.data.uuid);
        this.buf.writeString(this.data.name);
        this.buf.finish();
    }
    read() {
        this.data = {
            status: this.buf.readInt(),
            channelUuid: this.buf.readUUID(),
            uuid: this.buf.readUUID(),
            name: this.buf.readString(),
        };
        return this.data;
    }
}
_VoiceChannelUpdatePacket.id = 19;
/** @deprecated Packet not handled by the official Lunar Client */
exports.VoiceChannelUpdatePacket = (0, deprecatePacket_1.default)(_VoiceChannelUpdatePacket);
