import { Packet } from '../Packet';
declare class _VoicePacket extends Packet<Voice> {
    static id: number;
    write(data?: Voice): void;
    read(): Voice;
}
/** @deprecated Packet not handled by the official Lunar Client */
export declare const VoicePacket: typeof _VoicePacket;
/**
 * Voice packet
 * @see https://github.com/LunarClient/BukkitAPI-NetHandler/blob/master/src/main/java/com/lunarclient/bukkitapi/nethandler/server/LCPacketVoice.java
 */
interface Voice {
    /** The UUID of all the senders */
    uuids: string[];
    /** The "smashed" bytes of all the voice */
    data: number[];
}
export {};
