"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoicePacket = void 0;
const deprecatePacket_1 = require("../../util/deprecatePacket");
const Packet_1 = require("../Packet");
class _VoicePacket extends Packet_1.Packet {
    write(data) {
        this.data = data || this.data;
        this.buf.writeVarInt(data.uuids.length);
        for (const uuid of this.data.uuids)
            this.buf.writeUUID(uuid);
        this.buf.plugins.lunar.writeBlob(this.data.data);
        this.buf.finish();
    }
    read() {
        const uuidsLength = this.buf.readVarInt();
        const uuids = [];
        for (let i = 0; i < uuidsLength; i++)
            uuids.push(this.buf.readUUID());
        this.data = {
            uuids,
            data: this.buf.plugins.lunar.readBlob(),
        };
        return this.data;
    }
}
_VoicePacket.id = 16;
/** @deprecated Packet not handled by the official Lunar Client */
exports.VoicePacket = (0, deprecatePacket_1.default)(_VoicePacket);
